Error Thrown When Attempting to Edit Access Controls

10/15/2010 07:51 PM - Luke Murphey

Status: Closed Start date: 10/15/2010

Priority: Normal Due date: 10/17/2010

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0 (Release)   

Description

stack_trace = "java.lang.NullPointerException

net.lukemurphey.nsia.web.views.AccessControlView$PermissionDescriptor.populateSubject(AccessContro

lView.java:109) at net.lukemurphey.nsia.web.views.AccessControlView$PermissionDescriptor.<init>(Ac

cessControlView.java:57) at net.lukemurphey.nsia.web.views.AccessControlEditView.process(AccessCon

trolEditView.java:268) at net.lukemurphey.nsia.web.View.process(View.java:90) at net.lukemurphey.n

sia.web.View.process(View.java:58) at net.lukemurphey.nsia.web.WebConsoleServlet.doRequest(WebCons

oleServlet.java:83) at net.lukemurphey.nsia.web.WebConsoleServlet.doGet(WebConsoleServlet.java:120

) at javax.servlet.http.HttpServlet.service(HttpServlet.java:115) at javax.servlet.http.HttpServle

t.service(HttpServlet.java:92) at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.jav

a:428) at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:473)

 at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568) at org.mortbay.http.H

ttpContext.handle(HttpContext.java:1530) at org.mortbay.jetty.servlet.WebApplicationContext.handle

(WebApplicationContext.java:633) at org.mortbay.http.HttpContext.handle(HttpContext.java:1482) at 

org.mortbay.http.HttpServer.service(HttpServer.java:909) at org.mortbay.http.HttpConnection.servic

e(HttpConnection.java:820) at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986) 

at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837) at org.mortbay.http.SocketListe

ner.handleConnection(SocketListener.java:245) at org.mortbay.util.ThreadedServer.handle(ThreadedSe

rver.java:357) at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)" 

History

#1 - 10/15/2010 08:24 PM - Luke Murphey

- Due date set to 10/17/2010

#2 - 10/15/2010 08:41 PM - Luke Murphey

- Subject changed from Error Thrown When Attempting to Edit Access Controls without Permission to Error Thrown When Attempting to Edit Access

Controls

#3 - 10/15/2010 09:58 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented in r865.
